/*
  RemoveObject parser
*/
goog.provide('FlappSWFTagRemoveObject');

goog.scope(function() {

/**
 * @constructor
 */
FlappSWFTagRemoveObject = function(code, length, ibit) {
//        console.debug("FlappSWFTagRemoveObject(code:"+code+", length:"+length+", ibit)");
    this.code = code;
    this.length = length;
    //
    switch (code) {
      case 5: // RemoveObject
        this.id = ibit.ui16();
        this.depth = ibit.ui16();
        break;
      case 28: // RemoveObject2
        this.id = null;
        this.depth = ibit.ui16();
        break;
    }
};

});
